Subject: Re: bug#21101: Binary installation clobbers root ownership

From: [email-masked] (Ludovic Courtès)
Date: Tue, 21 Jul 2015 17:19:17 +0200

Dave Love <[email-masked]> skribis:

> If you unpack guix-binary-0.8.2.x86_64-linux.tar.xz according to the
> manual instructions in "Binary installation", you clobber the ownership
> of /, /root, and /var.
>
> The tarball needs to unpack with root ownership.  While you can use
> --no-same-owner, the current behaviour is pretty unfriendly.  (I noticed
> because ssh as root then failed with complaints about an insecure .ssh
> directory.)

Indeed, thanks for your report.  We actually noticed it and fixed it
soon after 0.8.2.  The fix will be in 0.8.3, to be released tomorrow.

Thank you,
Ludo’.